#
# spec file for package rubygem-rubyzip
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rubyzip
Version:        2.3.2
Release:        1.13
%define mod_name rubyzip
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.4}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            http://github.com/rubyzip/rubyzip
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Ruby module for reading and writing zip files
License:        BSD-2-Clause
Group:          Development/Languages/Ruby

%description
rubyzip is a ruby module for reading and writing zip files.

%prep

%build

%install
%gem_install \
  --doc-files="README.md" \
  -f

%gem_packages

%changelog
* Sun Jul 11 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.3.2
  * A "dummy" release to warn about breaking changes coming in version 3.0.
    This updated version uses the Gem `post_install_message` instead of
    printing to `STDERR`.
* Mon Mar 16 2020 Dan Čermák <dcermak@suse.com>
- New upstream release 2.3.0
  * Fix frozen string literal error
    [#431](https://github.com/rubyzip/rubyzip/pull/431)
  * Set `OutputStream.write_buffer`'s buffer to binmode
    [#439](https://github.com/rubyzip/rubyzip/pull/439)
  * Upgrade rubocop and fix various linting complaints
    [#437](https://github.com/rubyzip/rubyzip/pull/437)
  * [#440](https://github.com/rubyzip/rubyzip/pull/440)
  Tooling:
  * Add a `bin/console` script for development
    [#420](https://github.com/rubyzip/rubyzip/pull/420)
  * Update rake requirement (development dependency only) to fix a security
    alert.
* Fri Feb 28 2020 Stephan Kulow <coolo@suse.com>
- Fix rpmlint complains (removing rubygem-rubyzip.rpmlintrc)
* Mon Feb  3 2020 Dan Čermák <dcermak@suse.com>
- New upstream release 2.2.0
  - Add support for decompression plugin gems #427
* Mon Jan 27 2020 Dan Čermák <dcermak@suse.com>
- New upstream release 2.1.0
  - Fix (at least partially) the `restore_times` and `restore_permissions`
    options to `Zip::File.new`
    [#413](https://github.com/rubyzip/rubyzip/pull/413)
  - Previously, neither option did anything, regardless of what it was set
    to. We have therefore defaulted them to `false` to preserve the current
    behavior, for the time being. If you have explicitly set either to
    `true`, it will now have an effect.
  - Fix handling of UniversalTime (`mtime`, `atime`, `ctime`)
    fields. [#421](https://github.com/rubyzip/rubyzip/pull/421)
  - Previously, `Zip::File` did not pass the options to `Zip::Entry` in some
    cases. [#423](https://github.com/rubyzip/rubyzip/pull/423)
  - Note that `restore_times` in this release does nothing on Windows and
    only restores `mtime`, not `atime` or `ctime`.
  - Allow `Zip::File.open` to take an options hash like `Zip::File.new`
    [#418](https://github.com/rubyzip/rubyzip/pull/418)
  - Always print warnings with `warn`, instead of a mix of `puts` and `warn`
    [#416](https://github.com/rubyzip/rubyzip/pull/416)
  - Create temporary files in the system temporary directory instead of the
    directory of the zip file
    [#411](https://github.com/rubyzip/rubyzip/pull/411)
  - Drop unused `tmpdir` requirement
    [#411](https://github.com/rubyzip/rubyzip/pull/411)
  Tooling
  - Move CI to xenial and include jruby on JDK11
    [#419](https://github.com/rubyzip/rubyzip/pull/419/files)
- Add rubygem-rubyzip.rpmlintrc
* Tue Nov 12 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.0.0
  Security
  * Default the `validate_entry_sizes` option to `true`, so that callers can trust an entry's reported size when using `extract` [#403](https://github.com/rubyzip/rubyzip/pull/403)
  - This option defaulted to `false` in 1.3.0 for backward compatibility, but it now defaults to `true`. If you are using an older version of ruby and can't yet upgrade to 2.x, you can still use 1.3.0 and set the option to `true`.
  Tooling / Documentation
  * Remove test files from the gem to avoid problems with antivirus detections on the test files [#405](https://github.com/rubyzip/rubyzip/pull/405) / [#384](https://github.com/rubyzip/rubyzip/issues/384)
  * Drop support for unsupported ruby versions [#406](https://github.com/rubyzip/rubyzip/pull/406)
* Mon Jul  8 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.2.3
  * Allow tilde in zip entry names [#391](https://github.com/rubyzip/rubyzip/pull/391) (fixes regression in 1.2.2 from [#376](https://github.com/rubyzip/rubyzip/pull/376))
  * Support frozen string literals in more files [#390](https://github.com/rubyzip/rubyzip/pull/390)
  * Require `pathname` explicitly [#388](https://github.com/rubyzip/rubyzip/pull/388) (fixes regression in 1.2.2 from [#376](https://github.com/rubyzip/rubyzip/pull/376))
  Tooling / Documentation:
  * CI updates [#392](https://github.com/rubyzip/rubyzip/pull/392), [#394](https://github.com/rubyzip/rubyzip/pull/394)
  - Bump supported ruby versions and add 2.6
  - JRuby failures are no longer ignored (reverts [#375](https://github.com/rubyzip/rubyzip/pull/375) / part of [#371](https://github.com/rubyzip/rubyzip/pull/371))
  * Add changelog entry that was missing for last release [#387](https://github.com/rubyzip/rubyzip/pull/387)
  * Comment cleanup [#385](https://github.com/rubyzip/rubyzip/pull/385)
* Wed Sep  5 2018 coolo@suse.com
- updated to version 1.2.2
  Fixes CVE-2018-1000544 symlink and absolute path traversal
  (bsc#1099280).
  See https://github.com/rubyzip/rubyzip/pull/387
  for full changelog.
* Thu Feb  9 2017 coolo@suse.com
- updated to version 1.2.1
  Fixes bsc#1027050 CVE-2017-5946
* Sat Feb 20 2016 coolo@suse.com
- updated to version 1.2.0
  no changelog found
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.1.7
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun May 18 2014 coolo@suse.com
- updated to version 1.1.3, no changelog
* Tue Mar 18 2014 coolo@suse.com
- updated to version 1.1.2, no changelog
* Fri Nov 22 2013 coolo@suse.com
- updated to version 1.1.0, found no changelog
* Fri Aug 30 2013 coolo@suse.com
- updated to version 1.0.0
  Changed the API for gem. Now it can be used without require param in Gemfile.
  Added read-only support for Zip64 files.
  Added support for setting Unicode file names.
* Fri Jun 22 2012 coolo@suse.com
- update to 0.9.9
  Added support for backslashes in zip files (generated by the default Windows
  zip packer for example) and comment sections with the comment length set to zero
  even though there is actually a comment.
* Sat Apr 28 2012 coolo@suse.com
- update to 0.9.8
  Fixed: "Unitialized constant NullInputStream" error
* Sun Apr  8 2012 coolo@suse.com
- update to 0.9.7, still no upstream changelog
* Wed Apr  4 2012 coolo@suse.com
- update to 0.9.6.1, no upstream changelog
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 0.9.4
  Changed ZipOutputStream.put_next_entry signature (API CHANGE!).
  Now allows comment, extra field and compression method to be
  specified.
- additional changes from version 0.9.3
  Fixed: Added ZipEntry::name_encoding which retrieves the
  character encoding of the name and comment of the entry. Also
  added convenience methods ZipEntry::name_in(enc) and
  ZipEntry::comment_in(enc) for getting zip entry names and
  comments in a specified character encoding.
- additional changes from version 0.9.2
  Fixed: Renaming an entry failed if the entry's new name was a
  different length than its old name. (Diego Barros)
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Oct  2 2006 mrueckert@suse.de
- Initial package of version 0.9.1
